yuri-pet

Помощь новичку Solidworks

16,729 posts in this topic

2 минуты назад, Viktor Toshakov сказал:

1.  Развернуть сплайн с поверхности на плоскость.

http://help.solidworks.com/2015/russian/WhatsNew/t_flattening_surfaces.htm

3 минуты назад, Viktor Toshakov сказал:

спалайн или линия нарисованная в одной плоскости - "навренуть"  на цилиндр

http://help.solidworks.com/2015/russian/SolidWorks/sldworks/HIDD_DVE_SURF_WRAPPING_SKETCH.htm

1 person likes this

Share this post


Link to post
Share on other sites


В 08.02.2019 в 23:03, don108 сказал:

Вы выбрали не верный способ построения массива вырезов Нужен не ЛИНЕЙНЫЙ МАССИВ,а МАССИВ УПРАВЛЯЕМЫЙ КРИВОЙ

По Вашим скринам потренировался. Со сто первого раза получилось.

Спасибо.

Screen.jpg

Share this post


Link to post
Share on other sites

ID: 14644   Posted (edited)

Подскажите, что означает значок в виде пера?

Edited by OIGEN

Share this post


Link to post
Share on other sites

@OIGEN  открываем Help\справка в поиске справки вбиваем Значки компонентов в дереве конструирования FeatureManager  и изучаем

Share this post


Link to post
Share on other sites

Спасибо, нашел!!!

Share this post


Link to post
Share on other sites

Приветствую. 

Есть такое тестовое задание. Интересует элемент выделенный розовым цветом. Это массив по спирали с плавным изменением диаметра отверстия от 14 до 2.

Просто массив по кривой не проблема сделать. как еще указать уменьшение диаметров

B4exJIJmJz0.jpg

Share this post


Link to post
Share on other sites

ID: 14648   Posted (edited)

@kimer2002 мне кажется тут тот случай, когда массив не сработает. Окружностей не так много, наверное проще построить две спирали и вписать в них окружности, касательные к ним. Потом проставить дистанцию между окружностями (или их диаметр), добившись указанного расположения.

Делал подобные отверстия только по прямой. Строил расходящиеся линии, привязывал к ним окружности.

Edited by РоманВ

Share this post


Link to post
Share on other sites

ID: 14649   Posted (edited)

Скрытый текст

2Retk.png

 

функция\уравнение зависимости Ø от R в данной точки спирали

Edited by don108

Share this post


Link to post
Share on other sites

@don108 а поподробнее?

Share this post


Link to post
Share on other sites

Подскажите, как вы в SW оформляете спецификацию?

Share this post


Link to post
Share on other sites

ID: 14653   Posted (edited)

Возможно ли сделать следующим образом?

Задать в имени файла обозначение и имя детали, разделив их неким знаком, а в свойствах файла в обозначении указать нечто вроде $PRP:"SW-File Name" до указанного знака, а в наименовании $PRP:"SW-File Name" но после знака. Чтобы в свойства вставлялись строго определенные части имени файла?

Edited by РоманВ

Share this post


Link to post
Share on other sites

ID: 14655   Posted (edited)

2 часа назад, РоманВ сказал:

@don108 а поподробнее?

Поподробнее ...

 

 

Скрытый текст

2ReFf.png


2ReFe.png


2ReFg.png


2ReFk.png

 

2ReFQ.png

 

 

Edited by don108

Share this post


Link to post
Share on other sites
2 часа назад, РоманВ сказал:

Возможно ли сделать следующим образом?

Задать в имени файла обозначение и имя детали, разделив их неким знаком, а в свойствах файла в обозначении указать нечто вроде $PRP:"SW-File Name" до указанного знака, а в наименовании $PRP:"SW-File Name" но после знака. Чтобы в свойства вставлялись строго определенные части имени файла?

Макросом можно делить как хочется.

Share this post


Link to post
Share on other sites
6 часов назад, don108 сказал:

Поподробнее ...

так это математика, а не массив. Но по другому думаю никак.

6 часов назад, Kelny сказал:

Макросом можно делить как хочется.

есть ли такие готовые макросы? Правда макросы имеют свойство глючить и отказывать в неподходящий момент.

Share this post


Link to post
Share on other sites

здравствуйте!
А как на сфере тонкостенной еще тоненькую заплаточку приделать.  Можно конечно прокрутить , но наверняка есть другие способы.

Безымянный.jpg

Share this post


Link to post
Share on other sites
10 часов назад, kimer2002 сказал:

Интересует элемент выделенный розовым цветом.

Как вариант

 

48 минут назад, trainalex сказал:

заплаточку приделать

Можно через "Заполнить поверхность" http://help.solidworks.com/2015/russian/solidworks/sldworks/HIDD_FEAT_FILL_SURFACE.htm

9 people like this

Share this post


Link to post
Share on other sites

@Xugack великолепно! Спасибо за науку!

Share this post


Link to post
Share on other sites

ID: 14661   Posted (edited)

@Xugack Здорово! ... от меня тоже благодарчик, рабочий 100%-но вариант ... для задачи @kimer2002 это вообще то что доктор прописал ...

Но внесу такой нюансик ... если центры окружностей массива должны находиться на определённом расстоянии от центра детали-основания\на определённых радиусах, то как тогда ... такой метод сработает ?

Построение геликоида(т.к. всё строится\основывается на геликоидах) как-то можно к этим необходимым радиусам подогнать?

 

 

Edited by don108

Share this post


Link to post
Share on other sites
4 часа назад, don108 сказал:

такой метод сработает ?

В качестве управляющих размеров можно использовать несколько размеров.

Share this post


Link to post
Share on other sites
18 часов назад, Xugack сказал:

Как вариант

 

Можно через "Заполнить поверхность" http://help.solidworks.com/2015/russian/solidworks/sldworks/HIDD_FEAT_FILL_SURFACE.htm

Там отверстия нет.
Надо просто накладку на сферическую поверхность.
Можно конечно - вытянуть, повернуть потом вычесть. Это понятно.
А нет способа разместить на поверхности сферы в соприкосновении накладку круглой или какой то другой формы, Ну как на камеру заплатку наклеить

Share this post


Link to post
Share on other sites
37 минут назад, trainalex сказал:

как на камеру заплатку наклеить

5c642f6ca9cca_.thumb.jpg.80b331b3fc2c03282c0464c2bb9a12e5.jpg

Share this post


Link to post
Share on other sites

малехо не так -5c64339f8f9e3_2.jpg.5072ea2d22f48e66c9145270fd7e7e92.jpg подрезать изнутри заплатку еще надо

Share this post


Link to post
Share on other sites
36 минут назад, ALASK сказал:

малехо не так -5c64339f8f9e3_2.jpg.5072ea2d22f48e66c9145270fd7e7e92.jpg подрезать изнутри заплатку еще надо

да все так
Только что то пока не получается

 

на сферу ничего не проецируется

Сделал эскиз по пересечениям тел тоже ничего не выходит

 

Share this post


Link to post
Share on other sites
20 часов назад, РоманВ сказал:

есть ли такие готовые макросы? Правда макросы имеют свойство глючить и отказывать в неподходящий момент.

Создайте в солиде новый макрос, удалите содержимое, создаваемое автоматически, вставьте этот код, сохраните макрос. Макрос записывает первую часть имени файла до дефиса в "Обозначение". То, что после дефиса в "Наименование".

В коде дефис (в кавычках, который) можно заменить своим знаком, нижним подчеркиванием, к примеру.

На панель инструментов нужно вытащить кнопку для макроса, можно горячие клавиши затем ему назначить.

Option Explicit
Dim swApp As SldWorks.SldWorks
Dim swModel As ModelDoc2
Dim swModelDocExt As ModelDocExtension
Dim swCustProp As CustomPropertyManager
Dim bool As Boolean
Dim errors             As Long
Dim warnings           As Long

Sub main()
    Set swApp = Application.SldWorks
    Set swModel = swApp.ActiveDoc
    Set swModelDocExt = swModel.Extension
    Set swCustProp = swModelDocExt.CustomPropertyManager("")

    bool = swCustProp.Add3("Обозначение", swCustomInfoText, Left(swModel.GetTitle, InStr(swModel.GetTitle, "-") - 1), 2)
    bool = swCustProp.Add3("Наименование", swCustomInfoText, Right(swModel.GetTitle, Len(swModel.GetTitle) - InStrRev(swModel.GetTitle, "-")), 2)
    bool = swModel.Save3(13, errors, warnings)

End Sub

 

1 person likes this

Share this post


Link to post
Share on other sites

Что то странно похоже просто плохо перестраивается. 
Как то эскиз по линии пересечения тел совсем не по линии!? 

Безымянный.jpg

Share this post


Link to post
Share on other sites

ID: 14669   Posted (edited)

Зазоры дикие , да и поверхность у заплатки не сферическая а плоская

Безымянный.jpg

Edited by trainalex

Share this post


Link to post
Share on other sites
22 часа назад, trainalex сказал:

здравствуйте!
А как на сфере тонкостенной еще тоненькую заплаточку приделать.  Можно конечно прокрутить , но наверняка есть другие способы.

Так.

Так.SLDPRT

Share this post


Link to post
Share on other sites
54 минуты назад, Павлуха сказал:

Так.

Так.SLDPRT

мне не открыть

я в принципе сделал.
К сфере эквизистанту на растоянии 0. Потом ее утолщил и лишнее отрезал.
Но как то все равно щелясто. 

а дальше всякие еще усиления накладки ..

 

Share this post


Link to post
Share on other sites
2 часа назад, trainalex сказал:

Зазоры дикие , да и поверхность у заплатки не сферическая а плоская

А если в свойствах документа качество отображения повысить? Если заплатка вращением делалась, конечно.

Но лучший вариант, наверное, всё-таки:

23 часа назад, Xugack сказал:
Скрытый текст

SurfaceKnit_2.JPG.04cd2d63e6c8249a4f2a3d013bf5adaa.JPGSurfaceKnit_3.thumb.JPG.3d3cf1eaf7c8e384b098b5a31bccad91.JPG

 

1 person likes this

Share this post


Link to post
Share on other sites
16 минут назад, Kir95 сказал:

А если в свойствах документа качество отображения повысить? Если заплатка вращением делалась, конечно.

Но лучший вариант, наверное, всё-таки:

  Скрыть содержимое

SurfaceKnit_2.JPG.04cd2d63e6c8249a4f2a3d013bf5adaa.JPGSurfaceKnit_3.thumb.JPG.3d3cf1eaf7c8e384b098b5a31bccad91.JPG

 

Спасибо, понастроил щелей поменьше стало!
 

Share this post


Link to post
Share on other sites

ID: 14674   Posted (edited)

13 часа назад, Kir95 сказал:

Создайте в солиде новый макрос, удалите содержимое, создаваемое автоматически, вставьте этот код, сохраните макрос. Макрос записывает первую часть имени файла до дефиса в "Обозначение". То, что после дефиса в "Наименование".

В коде дефис (в кавычках, который) можно заменить своим знаком, нижним подчеркиванием, к примеру.

На панель инструментов нужно вытащить кнопку для макроса, можно горячие клавиши затем ему назначить.

Огромное спасибо! Сейчас попробую!

Получилось, только в графе "Наименование" солид вбил вместе с точкой и расширением файла. Получилось Вставка.SLDPRT. Что нужно добавить в макрос чтобы он отбрасывал текст начиная с точки?

Edited by РоманВ

Share this post


Link to post
Share on other sites

Подскажите, кто знает, почему иногда при сохранении в pdf/печати чертежа, линии получаются настолько тонкими, даже меньше самой тонкой, используемой в свойствах пользователя. Даже бывает что первый лист такой сверхтонкий сохраняется, а второй - с нормальной толщиной (даже в одном PDF-файле). Из-за чего такая фигня получается?

Share this post


Link to post
Share on other sites
1 час назад, anser89 сказал:

Из-за чего такая фигня получается?

Попробуйте виртуальный принтер. После перехода программы на преобразователь от Adobe в преобразованных файлах много всякой ерунды получается.

Share this post


Link to post
Share on other sites

ID: 14677   Posted (edited)

3 часа назад, РоманВ сказал:

Что нужно добавить в макрос чтобы он отбрасывал текст начиная с точки?

я бы так сделал.

 

Option Explicit
Dim swApp As SldWorks.SldWorks
Dim swModel As ModelDoc2
Dim swModelDocExt As ModelDocExtension
Dim swCustProp As CustomPropertyManager
Dim bool As Boolean
Dim errors             As Long
Dim warnings           As Long
Dim Str, string0, string1, string2 As String
Dim Numb, Number0, Number1, Number2 As Integer
Dim Seporator As String

Sub main()
    Set swApp = Application.SldWorks
    Set swModel = swApp.ActiveDoc
    Set swModelDocExt = swModel.Extension
    Set swCustProp = swModelDocExt.CustomPropertyManager("")

    Seporator = "-"
    
    string0 = swModel.GetTitle
    
    Number0 = Len(string0)
    Numb = Len(string0) - 5
    Number1 = InStr(string0, Seporator)
    Number2 = Len(string0) - InStrRev(string0, Seporator)
    
    Str = VBA.Mid$(string0, Numb, 3)
    string1 = VBA.Left(string0, (Number1 - 1))
    
    If Str = "sld" Then

        string2 = VBA.Mid$(string0, (Number1 + 1), Number2)

    Else

        string2 = VBA.Right$(string0, (Number1 - 2))

    End If
    
    
    bool = swCustProp.Add("Обозначение", swCustomInfoText, string1)
    bool = swCustProp.Add("Наименование", swCustomInfoText, string2)
    bool = swModel.Save3(13, errors, warnings)

End Sub

Можно еще форму нарисовать для задания разделителя..

Edited by ILL
забыл переменные указать..
1 person likes this

Share this post


Link to post
Share on other sites
30 минут назад, ILL сказал:

я бы так сделал.

А это почему-то не сработало

Share this post


Link to post
Share on other sites
1 час назад, РоманВ сказал:

А это почему-то не сработало

 

Что именно??

Share this post


Link to post
Share on other sites
52 минуты назад, ILL сказал:

 

Что именно??

Макрос. После его запуска в свойствах модели в графах Обозначение и Наименование ничего не появилось

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now

  • Recently Browsing   2 members

    • Kelny
    • malvi.dp


  • Сообщения

    • fenics555
      И величие былое Вдруг исчезло вникуда ...   Зачетные колеса! 
    • vl_cnc
      Никогда не попадались инструкции GSK на русском, только кустарные переводы. Есть вот такая штука, типа брошюры. GSK218M.pdf
    • zerganalizer
      Напоследок:   1. Мне неинтересно - что в принципе умеет фичер "уклон" в любой САПР - я такое не использую от слова совсем в своих литейных моделях. 2. Мне неинтересно из сферического коня в вакууме сделать мегастрашную чебурашку, особенно если она не проплачена. 3. И вообще я не работаю в крео. И не планирую, особенно глядя на результаты.   Мне было интересно решить конкретную задачку опытного литейщика, и решил ее лучше и проще крео. Остальное - флейм, и что-то уже зеваю... Вот колесо из 5-6 фичеров дерева... ладно, их там 8 + болты...
    • fantom.ul
      ,@Елена , если бы этот, пожилой человек не мелькал в течении двадцати лет, сплёвывая с отттопыреной губы на нас, не могущим понять и принять его идею, предлагая бред, облечённый в катастрофу нации, мы, может быть, приняли всё это более благосклонно. Но, что есть - то есть. Спасибо за комплимент! Давненько меня никто так не называл. Лет сорок...
    • Железная Женя
      Коллеги, добрый день. Конструктора, разработчики, вы позволяете себе в наименования вкладывать функциональное назначение изделия, его характеристики? Что вы думаете насчтет наименования "Прокладка 5 ГГц", "Плата подключения электронного калибратора до 50 ГГц" и т.п (Предприятие работает по ЕСКД) Это шедевр или утопия?   ПС.Есть Классификатор ЕСКД, есть ГОСТ 2.104, что еще есть, чтобы аргументировать?
    • moonspace
        Что это за файл? Что он должен содержать? Мне кажется, я всё предельно ясно изложил. Можно ещё, для ясности, провести аналогию, ну........ ,например, с чайником. С электрическим чайником. У которого в нижней его части врезан трубчатый ТЭН. Представим себе, что вместо ТЭНа полая трубка, по которой продувается горячий воздух (или ещё какой газ). В чайник налита вода. А сверху в чайник, в воду опущен (врезан) трубчатый змеевик, по которому прогоняется какой-нибудь жидкий продукт. Ну и вот. ТЭН, то бишь трубка с горячим воздухом (горячий воздух!, 1000 градусов!) должен нагревать воду в чайнике. А нагретая вода, в свою очередь, должна нагревать продукт внутри змеевика. Что тут можно не понять? В ТЭНе, то бишь в трубке, течет горячий воздух. Течет! Т.е., имеется подобласть течения, можно задать какие-то параметры. Вопросов нет. В змеевике течет продукт. Течет! Т.е., имеется подобласть течения. Вопросов тоже нет. А в чайнике вода не течет! Она просто налита туда изначально и нагревается. И отдаёт тепло. Никуда не утекая. На месте стоит! Вот я и задал вопрос. Как быть в этом случае. Флоу нужна "подобласть течения". Геометрически она определяется (внутренний объём чайника). А вот что писать в граничных условиях? Как определить "подобласть течения", в которой нет течения? Способен ли Флоу понять такую ситуацию? Или он принципиально не заточен для этого. Если принципиально нет, то что ж, на нет и суда нет. Вода получается промежуточным теплоносителем, здесь три взаимосвязанных подобласти течения, а не две, как показывают во всех роликах, и как пишут в примерах и букварях. Так мало того, одна из подобластей ещё и "ущербная", в ней нет течения. Способен ли Флоу решать такие задачи? А то, может, я зря стараюсь. Другой инструмент нужен?    
    • Mold 2005
    • Claus
      По моему опыту, это не поможет, а времени займёт кучу. Я из простой желёзки тоже могу сделать не рабочую деталь, кад мне не сообщает что такой фрезы, резца или режима нет, а гибка листа ограничена возможностями оснастки и размерами станка. Что бы меньше так ошибаться надо просто быть в общих чертах в курсе производства иначе не как.
    • fenics555
        второй проверьте, даже 3-х летнему ребенку понятно что модели разные, т.к. одному углы давай, другому уши не нравятся...      У меня для Вас есть чудное средство, не терпите:
    • alexandr_onm
      Хм... В таблице инструментов ориентация меняется. А в переходе всё равно остаётся как и было